/* TableStyleMedium22.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn22
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium22 extends TableStyleImpl {
	private TableStyleMedium22() {
		super(
				"TableStyleMedium22",//name,
				M22_Whole_Table, 	//wholeTable,
				M22_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M22_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M22_Last_Col, 	//lastCol,
				M22_First_Col,	//firstCol,
				M22_Header_Row,	//headerRow,
				M22_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M22_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "A5A5A5", "A5A5A5"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M22_Row_Stripe1 =
			M22_Col_Stripe1;
	private static final STableStyleElem M22_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null, //fill
				null //border
			);
	private static final STableStyleElem M22_First_Col =
			M22_Last_Col;
	private static final STableStyleElem M22_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.MEDIUM, "000000"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M22_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					null
			);
	private static final BorderLineImpl M22_Border_Line = 
			new BorderLineImpl(BorderType.THIN, "000000");
	private static final STableStyleElem M22_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "D8D8D8", "D8D8D8"),//fill //ZSS-1162
					new BorderImpl(
							M22_Border_Line, //left 
							M22_Border_Line, //top 
							M22_Border_Line, //right
							M22_Border_Line, //bottom
							null, //diagonal
							M22_Border_Line, //vertical
							M22_Border_Line 	//horizontal
					)
			);

	public static final TableStyleMedium22 instance = new TableStyleMedium22();
}
